[ovs-dev] [PATCH ovn v2] ci: Don't run unit tests for system-test job.

numans at ovn.org numans at ovn.org
Wed Nov 3 16:55:14 UTC 2021


From: Numan Siddique <numans at ovn.org>

system-test matrix first runs unit tests and then system tests.
And if unit tests fail, system tests are not run.

This patch now runs only system tests for system-test matrix.
A new entry is added in the test matrix - 'gcc compiler with
unit tests'.

Signed-off-by: Numan Siddique <numans at ovn.org>
---

v1 -> v2
----
 * Addressed Ilya's comments.

 .ci/linux-build.sh         | 22 +++++++++++-----------
 .github/workflows/test.yml |  2 ++
 2 files changed, 13 insertions(+), 11 deletions(-)

diff --git a/.ci/linux-build.sh b/.ci/linux-build.sh
index 76a2ff459f..b0975685d4 100755
--- a/.ci/linux-build.sh
+++ b/.ci/linux-build.sh
@@ -49,17 +49,6 @@ else
 fi
 
 if [ "$TESTSUITE" ]; then
-    # 'distcheck' will reconfigure with required options.
-    # Now we only need to prepare the Makefile without sparse-wrapped CC.
-    configure_ovn
-
-    export DISTCHECK_CONFIGURE_FLAGS="$OPTS"
-    if ! make distcheck -j4 TESTSUITEFLAGS="-j4" RECHECK=yes; then
-        # testsuite.log is necessary for debugging.
-        cat */_build/sub/tests/testsuite.log
-        exit 1
-    fi
-
     if [ "$TESTSUITE" = "system-test" ]; then
         # Reconfigure build with required OPTS, rebuild and run system tests.
         configure_ovn $OPTS
@@ -69,6 +58,17 @@ if [ "$TESTSUITE" ]; then
             cat tests/system-kmod-testsuite.log
             exit 1
         fi
+    else
+        # 'distcheck' will reconfigure with required options.
+        # Now we only need to prepare the Makefile without sparse-wrapped CC.
+        configure_ovn
+
+        export DISTCHECK_CONFIGURE_FLAGS="$OPTS"
+        if ! make distcheck -j4 TESTSUITEFLAGS="-j4" RECHECK=yes; then
+            # testsuite.log is necessary for debugging.
+            cat */_build/sub/tests/testsuite.log
+            exit 1
+        fi
     fi
 else
     configure_ovn $OPTS
diff --git a/.github/workflows/test.yml b/.github/workflows/test.yml
index ce313690a6..280f0ffea0 100644
--- a/.github/workflows/test.yml
+++ b/.github/workflows/test.yml
@@ -34,6 +34,8 @@ jobs:
           - compiler:     clang
             opts:         --disable-ssl
 
+          - compiler:     gcc
+            testsuite:    test
           - compiler:     gcc
             testsuite:    system-test
           - compiler:     clang
-- 
2.31.1



More information about the dev mailing list